import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/wb.config/wbCheckItem/list',
  alllist = '/wb.config/wbCheckItem/alllist',

  save='/wb.config/wbCheckItem/add',
  saveBatch='/wb.config/wbCheckItem/saveBatch',

  edit='/wb.config/wbCheckItem/edit',
  deleteOne = '/wb.config/wbCheckItem/delete',
  deleteBatch = '/wb.config/wbCheckItem/deleteBatch',
  importExcel = '/wb.config/wbCheckItem/importExcel',
  exportXls = '/wb.config/wbCheckItem/exportXls',

  getAllCheckMethod = '/audit/auditCheckMethodItem/getAllCheckMethod',
  getAllCheckMethodFiles = '/audit/auditCheckMethodItem/getAllCheckMethodFiles',

  queryAllMetric = '/metric/metricMonitorSet/queryAllMetricNoPage',


}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

export const alllist = (params) =>
  defHttp.get({url: Api.alllist, params});

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}


export const getAllCheckMethod = (params) => {
  const retDataList = defHttp.get({url: Api.getAllCheckMethod, params});
  return retDataList
}

export const getAllCheckMethodFiles = (params) => {
  const retDataList = defHttp.get({url: Api.getAllCheckMethodFiles, params});
  return retDataList
}


/**
 * 批量添加
 * @param params
 */
export const saveBatch = (params) => {
  return defHttp.post({url: Api.saveBatch, params});
}



export const queryAllMetric = (params) => {
  const retDataList = defHttp.get({url: Api.queryAllMetric, params});
  return retDataList
}




